@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Press Start 2P', cursive;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  background-color: #f4c2c2;
}

.container{
  display:flex;
  flex-direction: column;
  gap: 2rem;
  align-items: center;
}

.wrapper {
  width: 65vmin;
  height: 70vmin;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  border: 4px solid #000000; /* Thick black border for retro screen look */
  border-radius: 10px;
  background: #293447;
  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.5); /* Strong shadow for depth */
}

.game-details {
  color: #B8C6DC;
  font-weight: 500;
  font-size: 1.2rem;
  padding: 20px 27px;
  display: flex;
  justify-content: space-between;
  align-items: center; /* Align items vertically */
}

.reset-btn {
  font-size: 1rem;
  padding: 5px 10px;
  background-color: #fff;
  color: #000;
  border: 2px solid #000;
  cursor: pointer;
}


.play-board {
  height: 100%;
  width: 100%;
  display: grid;
  background: #1b1b1b;
  grid-template: repeat(30, 1fr) / repeat(30, 1fr);
}

.play-board .food {
  background-color: #f54242;
}

.play-board .head {
  background-color: #00ffff;
}

.controls {
  display: none;
  justify-content: space-between;
}

.controls i {
  padding: 25px 0;
  text-align: center;
  font-size: 1.2rem;
  color: #00ff00;
  width: calc(100% / 4);
  cursor: pointer;
  border-right: 1px solid #171b26;
}
.score{
  font-size:.8rem
}
.high-score{
  font-size:.8rem

}
.instructions-wrapper{
  display: flex;
  flex-direction: column;
  background-color: #293447;
  color:#B8C6DC;
  gap: 4px;
  border: 4px solid #000000;
  border-radius: 10px;
  padding: 5px;
  li{
    font-size: .6em;
  }
  p{
    font-size: .6em;
  }
}


@media screen and (max-width: 800px) {
  .wrapper {
    width: 90vmin;
    height: 110vmin;
  }
  .game-details {
    font-size: 0.8rem;
    padding: 10px 15px;
  }
  .controls {
    display: flex;
  }
  .controls i {
    padding: 10px 0;
    font-size: 1rem;
  }
}
